Package weka.filters.unsupervised.attribute

# Class RELAGGS

java.lang.Object
weka.filters.Filter
weka.filters.SimpleFilter
weka.filters.SimpleBatchFilter
weka.filters.unsupervised.attribute.RELAGGS

All Implemented Interfaces:
  `Serializable`, `CapabilitiesHandler`, `OptionHandler`, `RevisionHandler`, `TechnicalInformationHandler`

public class RELAGGS extends SimpleBatchFilter implements TechnicalInformationHandler
A propositionalization filter inspired by the RELAGGS algorithm.
It processes all relational attributes that fall into the user defined range (all others are skipped, i.e., not added to the output). Currently, the filter only processes one level of nesting.
The class attribute is not touched.
For more information see:
M.-A. Krogel, S. Wrobel: Facets of Aggregation Approaches to Propositionalization. In: Work-in-Progress Track at the Thirteenth International Conference on Inductive Logic Programming (ILP), 2003.

BibTeX:

     @inproceedings{Krogel2003,
        author = {M.-A. Krogel and S. Wrobel},
        booktitle = {Work-in-Progress Track at the Thirteenth International Conference on Inductive Logic Programming (ILP)},
        editor = {T. Horvath and A. Yamamoto},
        title = {Facets of Aggregation Approaches to Propositionalization},
        year = {2003},
        PDF = {http://kd.cs.uni-magdeburg.de/\~krogel/papers/aggs.pdf}
     }

Valid options are:

     -D
      Turns on output of debugging information.

     -R <index1,index2-index4,...>
      Specify list of string attributes to convert to words.
      (default: select all relational attributes)

     -V
      Inverts the matching sense of the selection.

     -C <num>
      Max. cardinality of nominal attributes. If a nominal attribute
      has more values than this upper limit, then it will be skipped.
      (default: 20)

Version:
  $Revision: 5547 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RELAGGS()`

## Method Summary

Modifier and Type
Method
Description
`String`
`attributeIndicesTipText()`
Returns the tip text for this property
`Capabilities`
`getCapabilities()`
Returns the Capabilities of this filter.
`boolean`
`getInvertSelection()`
Gets whether the supplied columns are to be processed or skipped
`int`
`getMaxCardinality()`
Gets the maximum number of values allowed for nominal attributes, before they're skipped.
`String[]`
`getOptions()`
Gets the current settings of the classifier.
`String`
`getRevision()`
Returns the revision string.
`Range`
`getSelectedRange()`
Gets the current range selection.
`TechnicalInformation`
`getTechnicalInformation()`
Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.
`String`
`globalInfo()`
Returns a string describing this filter
`String`
`invertSelectionTipText()`
Returns the tip text for this property
`Enumeration`
`listOptions()`
Returns an enumeration describing the available options.
`static void`
`main(String[] args)`
runs the filter with the given arguments
`String`
`maxCardinalityTipText()`
Returns the tip text for this property
`void`
`setInvertSelection(boolean value)`
Sets whether selected columns should be processed or skipped.
`void`
`setMaxCardinality(int value)`
Sets the maximum number of values allowed for nominal attributes, before they're skipped.
`void`
`setOptions(String[] options)`
Parses the options for this object.
`void`
`setSelectedRange(String value)`
Set the range of attributes to process.

### Methods inherited from class weka.filters.SimpleBatchFilter

`batchFinished, input`

### Methods inherited from class weka.filters.SimpleFilter

`debugTipText, getDebug, setDebug, setInputFormat`

### Methods inherited from class weka.filters.Filter

`batchFilterFile, filterFile, getCapabilities, getOutputFormat, isFirstBatchDone, isNewBatch, isOutputFormatDefined, makeCopies, makeCopy, numPendingOutput, output, outputPeek, toString, useFilter, wekaStaticWrapper`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RELAGGS

public RELAGGS()

## Method Details

### globalInfo

public String globalInfo()
Returns a string describing this filter

Specified by:
  `globalInfo` in class `SimpleFilter`
Returns:
  a description of the filter suitable for displaying in the explorer/experimenter gui

### getTechnicalInformation

public TechnicalInformation getTechnicalInformation()
Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.

Specified by:
  `getTechnicalInformation` in interface `TechnicalInformationHandler`
Returns:
  the technical information about this class

### listOptions

public Enumeration listOptions()
Returns an enumeration describing the available options.

Specified by:
  `listOptions` in interface `OptionHandler`
Overrides:
  `listOptions` in class `SimpleFilter`
Returns:
  an enumeration of all the available options.

### setOptions

public void setOptions(String[] options) throws Exception
Parses the options for this object.

Valid options are:

     -D
      Turns on output of debugging information.

     -R <index1,index2-index4,...>
      Specify list of string attributes to convert to words.
      (default: select all relational attributes)

     -V
      Inverts the matching sense of the selection.

     -C <num>
      Max. cardinality of nominal attributes. If a nominal attribute
      has more values than this upper limit, then it will be skipped.
      (default: 20)

Specified by:
  `setOptions` in interface `OptionHandler`
Overrides:
  `setOptions` in class `SimpleFilter`
Parameters:
  `options` - the options to use
Throws:
  `Exception` - if setting of options fails
See Also:
  - `SimpleFilter.reset()`

### getOptions

public String[] getOptions()
Gets the current settings of the classifier.

Specified by:
  `getOptions` in interface `OptionHandler`
Overrides:
  `getOptions` in class `SimpleFilter`
Returns:
  an array of strings suitable for passing to setOptions

### maxCardinalityTipText

public String maxCardinalityTipText()
Returns the tip text for this property

Returns:
  tip text for this property suitable for displaying in the explorer/experimenter gui

### setMaxCardinality

public void setMaxCardinality(int value)
Sets the maximum number of values allowed for nominal attributes, before they're skipped.

Parameters:
  `value` - the maximum value.

### getMaxCardinality

public int getMaxCardinality()
Gets the maximum number of values allowed for nominal attributes, before they're skipped.

Returns:
  the maximum number.

### attributeIndicesTipText

public String attributeIndicesTipText()
Returns the tip text for this property

Returns:
  tip text for this property suitable for displaying in the explorer/experimenter gui

### setSelectedRange

public void setSelectedRange(String value)
Set the range of attributes to process.

Parameters:
  `value` - the new range.

### getSelectedRange

public Range getSelectedRange()
Gets the current range selection.

Returns:
  current selection.

### invertSelectionTipText

public String invertSelectionTipText()
Returns the tip text for this property

Returns:
  tip text for this property suitable for displaying in the explorer/experimenter gui

### setInvertSelection

public void setInvertSelection(boolean value)
Sets whether selected columns should be processed or skipped.

Parameters:
  `value` - the new invert setting

### getInvertSelection

public boolean getInvertSelection()
Gets whether the supplied columns are to be processed or skipped

Returns:
  true if the supplied columns will be kept

### getCapabilities

public Capabilities getCapabilities()
Returns the Capabilities of this filter.

Specified by:
  `getCapabilities` in interface `CapabilitiesHandler`
Overrides:
  `getCapabilities` in class `Filter`
Returns:
  the capabilities of this object
See Also:
  - `Capabilities`

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `Filter`
Returns:
  the revision

### main

public static void main(String[] args)
runs the filter with the given arguments

Parameters:
  `args` - the commandline arguments